@echo off
cd /D "%~dp0"

:input
set /p dircopy="Enter directory of Windows XP installation, which has been already slipstreamed with Unofficial SP4 3.1b (Press Ctrl + C to cancel): "
if not exist "%dircopy%\WIN51" goto :input

del "%dircopy%\I386\svcpack.in_"
del "%dircopy%\I386\svcpack.inf"
xcopy I386\*.* "%dircopy%\I386" /H /S /E /Y
xcopy CMPNENTS\*.* "%dircopy%\CMPNENTS" /H /S /E /Y
if exist "%dircopy%\WIN51IC" xcopy IC\*.* "%dircopy%\I386" /H /S /E /Y
if exist "%dircopy%\win51kic" xcopy IKC\*.* "%dircopy%\I386" /H /S /E /Y
if exist "%dircopy%\win51knic" xcopy IKNC\*.* "%dircopy%\I386" /H /S /E /Y
if exist "%dircopy%\win51nic" xcopy INC\*.* "%dircopy%\I386" /H /S /E /Y

if exist "%dircopy%\WIN51IP" xcopy IP\*.* "%dircopy%\I386" /H /S /E /Y
if exist "%dircopy%\win51kip" xcopy IKP\*.* "%dircopy%\I386" /H /S /E /Y
if exist "%dircopy%\win51knip" xcopy IKNP\*.* "%dircopy%\I386" /H /S /E /Y
if exist "%dircopy%\win51nip" xcopy INP\*.* "%dircopy%\I386" /H /S /E /Y

if exist "%dircopy%\winara" xcopy ISTART\*.* "%dircopy%\I386" /H /S /E /Y
if exist "%dircopy%\winchs" xcopy ISTART\*.* "%dircopy%\I386" /H /S /E /Y
if exist "%dircopy%\winengafrica" xcopy ISTART\*.* "%dircopy%\I386" /H /S /E /Y
if exist "%dircopy%\winenggeneric" xcopy ISTART\*.* "%dircopy%\I386" /H /S /E /Y
if exist "%dircopy%\winengindia" xcopy ISTART\*.* "%dircopy%\I386" /H /S /E /Y
if exist "%dircopy%\winengmalaysia" xcopy ISTART\*.* "%dircopy%\I386" /H /S /E /Y
if exist "%dircopy%\winesn" xcopy ISTART\*.* "%dircopy%\I386" /H /S /E /Y
if exist "%dircopy%\winind" xcopy ISTART\*.* "%dircopy%\I386" /H /S /E /Y
if exist "%dircopy%\winkkz" xcopy ISTART\*.* "%dircopy%\I386" /H /S /E /Y
if exist "%dircopy%\winptb" xcopy ISTART\*.* "%dircopy%\I386" /H /S /E /Y
if exist "%dircopy%\winrus" xcopy ISTART\*.* "%dircopy%\I386" /H /S /E /Y
if exist "%dircopy%\wintha" xcopy ISTART\*.* "%dircopy%\I386" /H /S /E /Y
if exist "%dircopy%\wintrk" xcopy ISTART\*.* "%dircopy%\I386" /H /S /E /Y
if exist "%dircopy%\winUKR" xcopy ISTART\*.* "%dircopy%\I386" /H /S /E /Y
if exist "%dircopy%\winvit" xcopy ISTART\*.* "%dircopy%\I386" /H /S /E /Y